org.custommonkey.xmlunit

## Class QualifiedName

- java.lang.Object
- - org.custommonkey.xmlunit.QualifiedName

    public final class QualifiedName
    extends java.lang.Object

Since javax.xml.namespace.QName is not present prior to Java5, this is XMLUnit's own abstraction.

### Constructor Summary

Constructors
Constructor and Description
`QualifiedName(java.lang.String localName)`
`QualifiedName(java.lang.String namespaceUri, java.lang.String localName)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getLocalName()`
`java.lang.String` `getNamespaceURI()`
`int` `hashCode()`
`java.lang.String` `toString()` Represents the QualifiedName as {NS-URI}LOCAL-NAME.
`static QualifiedName` `valueOf(java.lang.String value)` Parses strings of the form "{NS-URI}LOCAL-NAME" or "prefix:localName" as QualifiedNames.
`static QualifiedName` `valueOf(java.lang.String value, NamespaceContext ctx)` Parses strings of the form "{NS-URI}LOCAL-NAME" or "prefix:localName" as QualifiedNames.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QualifiedName

    public QualifiedName(java.lang.String localName)

#### QualifiedName

    public QualifiedName(java.lang.String namespaceUri,
                 java.lang.String localName)

### Method Detail

#### getNamespaceURI

    public java.lang.String getNamespaceURI()

#### getLocalName

    public java.lang.String getLocalName()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### valueOf

    public static QualifiedName valueOf(java.lang.String value)

Parses strings of the form "{NS-URI}LOCAL-NAME" or "prefix:localName" as QualifiedNames.

When using the prefix-version the prefix must be defined inside the current NamespaceContext.

See Also:
  `XMLUnit.setXpathNamespaceContext(org.custommonkey.xmlunit.NamespaceContext)`

#### toString

    public java.lang.String toString()

Represents the QualifiedName as {NS-URI}LOCAL-NAME.

If the NS-URI is equal to NULL_NS_URI only the local name is returned.

Overrides:
  `toString` in class `java.lang.Object`

#### valueOf

    public static QualifiedName valueOf(java.lang.String value,
                        NamespaceContext ctx)

Parses strings of the form "{NS-URI}LOCAL-NAME" or "prefix:localName" as QualifiedNames.

When using the prefix-version the prefix must be defined inside the NamespaceContext given as argument.